#!/usr/bin/env python
# -*- coding: euc-jp -*-

#
#  \file SdoService.py
#  \brief SDO Service administration class
#  \date $Date: 2007/09/12 $
#  \author Noriaki Ando <n-ando@aist.go.jp> and Shinji Kurihara
# 
#  Copyright (C) 2006
#      Task-intelligence Research Group,
#      Intelligent Systems Research Institute,
#      National Institute of
#          Advanced Industrial Science and Technology (AIST), Japan
#      All rights reserved.
# 


import SDOPackage, SDOPackage__POA

class SDOServiceProfile:
	def __init__(self, id_=None, type_=None):
		if id_ == None:
			self.id = ""
		else:
			self.id = id_

		if type_ == None:
			self.type = ""
		else:
			self.type = type_
			
		self.interfaceType = ""
		self.idlDefinition = ""
		self.properties = []
		self.serviceRef = None
		

	def getProfile(self):
		return self
    
	"""
      \if jp
      \brief ServiceProfile.id 򥻥åȤ
      \else
      \brief Setting ServiceProfile.id
      \endif
	"""
	def setName(self, id_):
		self.id = id_


	"""
      \if jp
      \brief ServiceProfile.id 
      \else
      \brief Getting ServiceProfile.id
      \endif
	"""
	def getName(self):
		return self.id

	"""
      \if jp
      \brief RTCServiceProfile.interfaceType 򥻥åȤ
      \else
      \brief Setting RTCServiceProfile.interfaceType
      \endif
	"""
	def setInterfaceType(self, interfaceType):
		self.interfaceType = interfaceType
    

	"""
      \if jp
      \brief RTCServiceProfile.interfaceType 
      \else
      \brief Getting RTCServiceProfile.interfaceType
      \endif
	"""
	def getInterfaceType(self):
		return self.interfaceType


	"""
      \if jp
      \brief RTCServiceProfile.idlDefinition 򥻥åȤ
      \else
      \brief Setting RTCServiceProfile.idlDefnition
      \endif
	"""
	def setIdlDefinition(self, idlDefinition):
		self.idlDefinition = idlDefinition

    
	"""
      \if jp
      \brief RTCServiceProfile.idlDefinition 
      \else
      \brief Getting RTCServiceProfile.idlDefnition
      \endif
	"""
	def getIdlDefinition(self):
		return self.idlDefinition
    

	"""
      \if jp
      \brief RTCServiceProfile.properties 򥻥åȤ
      \else
      \brief Setting RTCServiceProfile.properties
      \endif
	"""
	def setProperties(self, properties):
		self.properties = properties

    
	"""
      \if jp
      \brief RTCServiceProfile.properties 
      \else
      \brief Getting RTCServiceProfile.properties
      \endif
	"""
	def getProperties(self):
		return self.properties

    
	# bool addProperty(char name, CORBA::Any data);
    
	"""
      \if jp
      \brief RTCServiceProfile.serviceRef 򥻥åȤ
      \else
      \brief Setting RTCServiceProfile.serviceRef
      \endif
	"""
	def setServiceRef(self, serviceRef):
		self.serviceRef = serviceRef

    
	"""
      \if jp
      \brief RTCServiceProfile.serviceRef 
      \else
      \brief Getting RTCServiceProfile.serviceRef
      \endif
	"""
	def getServiceRef(self):
		return self.serviceRef
  
